<?php
/*------------------------------------------------------------------------
# mod_articles_recentlyhit - Recently Hit Articles
# ------------------------------------------------------------------------
# author    Jesús Vargas Garita
# copyright Copyright (C) 2010 munditico.com. All Rights Reserved.
# @license - http://www.gnu.org/licenses/gpl-2.0.html GNU/GPL
# Website: https://www.munditico.com
# Technical Support: https://www.munditico.com/joomla-extensions
-------------------------------------------------------------------------*/

// no direct access
defined('_JEXEC') or die;

if (!$list)
{
	return;
}

use Joomla\CMS\Factory;

if ($params->get('addstyle', 1)) {
	$style = ".rh-item {"
		. " clear:both;"
		. " }\n"
		. ".rh-item-image {"
		. " float: left;"
		. " margin:0 7px 5px 0;"
		. " }\n"
		. ".rh-item-title{"
		. " display:block;"
		. " }";
	Factory::getDocument()->addStyleDeclaration($style);
}
?>
<ul class="recentlyhit<?php echo $params->get('moduleclass_sfx'); ?> mod-list">
<?php foreach ($list as $item) : ?>
	<li class="rh-item" itemscope itemtype="https://schema.org/Article">
	<?php if ($item->image): ?>
    	<figure class="rh-item-image"><a href="<?php echo $item->link; ?>"><?php echo $item->image; ?></a></figure>
	<?php endif; ?>
	<a href="<?php echo $item->link; ?>" class="rh-item-title"><?php echo $item->title; ?></a>
	<?php if ($item->time_ago) : ?>
		<small><?php echo $item->time_ago; ?></small>
	<?php endif; ?>
	</li>
<?php endforeach; ?>
</ul>
